<!DOCTYPE html>
<html lang="cs">

<head>
    <meta charset="UTF-8" />
    <meta content="EndeavourOS ...." name="description" />
    <meta content="EndeavourOS, i3wm, i3lock" name="keywords" />
    <meta content="Kankys" name="author" />

    <meta content="width=device-width, initial-scale=1.0" name="viewport" />
    <link href="assets/style.css" rel="stylesheet" />
    <link href="img/icons.png" rel="shortcut icon" />
    <script crossorigin="anonymous" src="https://kit.fontawesome.com/0a43c6cd1f.js"></script>
    <!--icons dark, go to up-->
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css" rel="stylesheet" />
    <!--ubuntu fonts-->
    <style>
        @import url("https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap");
    </style>

    <title>EndeavourOS - 🗝 i3lock oku lahodící</title>
</head>

<body>
    <?php require "assets/header.php" ?>
    <main>
        <section class="welcome">
            <h1>🗝 i3lock oku lahodící</h1>
            <p>V tomtu článku si upravíme i3lock z nudné obrazovky do hezčí, a nastavíme si novou klávesovou zkratku pro i3lock.</p>
            <img src="img/i3lock1.jpg" alt="" style="width: 50%;height: auto;" />
            <p>Ve výchozím nastavení, pokud chcete zamknout systém, budete muset provést následující příkaz:</p>
            <div class="code-box">
          <pre id="code-content">
          i3lock
          </pre>
        </div>
        <p>Aby byla zamykací obrazovka krásná, musíte použít balík:</p>
        <div class="code-box">
          <pre id="code-content">
          i3lock-color
          </pre>
        </div>
        <p>Nejprve však musíte odstranit stávající <strong>i3lock</strong> protože bude v rozporu s <strong>i3lock-color</strong>:</p>
        <div class="code-box">
          <pre id="code-content">
          sudo pacman -R i3lock
          </pre>
        </div>
        <p>Po dokončení odinstalace můžete nainstalovat <strong>i3lock-color</strong> pomocí pomocníka AUR:</p>
        <div class="code-box">
          <pre id="code-content">
          yay i3lock-color
          </pre>
        </div>
        <p>Jakmile skončíte s instalací, vytvořte nový adresář a vytvořte nový soubor pro uložení konfigurace pro zamykací obrazovku:</p>
        <div class="code-box">
          <pre id="code-content">
          mkdir ~/.config/scripts && nano ~/.config/scripts/lock
          </pre>
        </div>
        <p>A vložením následujícího obsahu souboru definujte vzhled zamykací obrazovky (ten si samozřejmě můžete upravit dle vašich preferencí a kreativitě se meze nekladou):</p>
        <div class="code-box">
          <pre id="code-content">
          #!/bin/sh

          BLANK='#00000000'
          CLEAR='#ffffff22'
          DEFAULT='#00897bE6'
          TEXT='#00897bE6'
          WRONG='#880000bb'
          VERIFYING='#00564dE6'

          i3lock \
          --insidever-color=$CLEAR     \
          --ringver-color=$VERIFYING   \
          \
          --insidewrong-color=$CLEAR   \
          --ringwrong-color=$WRONG     \
          \
          --inside-color=$BLANK        \
          --ring-color=$DEFAULT        \
          --line-color=$BLANK          \
          --separator-color=$DEFAULT   \
          \
          --verif-color=$TEXT          \
          --wrong-color=$TEXT          \
          --time-color=$TEXT           \
          --date-color=$TEXT           \
          --layout-color=$TEXT         \
          --keyhl-color=$WRONG         \
          --bshl-color=$WRONG          \
          \
          --screen 1                   \
          --blur 9                     \
          --clock                      \
          --indicator                  \
          --time-str="%H:%M:%S"        \
          --date-str="%A, %Y-%m-%d"       \
          --keylayout 1                \
          </pre>
        </div>
        <p>Nyní udělejte tento soubor spustitelným pomocí příkazu chmod :</p>
        <div class="code-box">
          <pre id="code-content">
          sudo chmod +x .config/scripts/lock
          </pre>
        </div>
        <p>Dále vám zde ukážu, jak můžete použít vlastní klávesovou zkratku pro zamykací obrazovku.</p>
        <p>Nejprve otevřete konfigurační soubor:</p>
        <div class="code-box">
          <pre id="code-content">
          nano ~/.config/i3/config
          </pre>
        </div>
        <p>Přesuneme se na konec configuračmího souboru pomocí klávesové zkratky <strong>Alt + /</strong> a vložíme nakonec následující řádky:</p>
        <div class="code-box">
          <pre id="code-content">
          # Shortcut for Lockscreen
            bindsym $mod+l exec /home/$USER/.config/scripts/lock
          </pre>
        </div>
        <p>Soubor zapíšeme a uložíme.</p>
        <p>Těď pomocí klávesové zkratky <strong>mod+l ( u většiny to bude klávesa windows+l)</strong> můžeme zkusit uzamknout obrazovku a přihlásit se zpět přihlašovacím heslem.</p>
        <p>Kdyby vám to hned nešlo ještě použíte zkratku <strong>shift+mod+r</strong>.</p>
        <img src="img/i3lock.jpg" alt="" style="width: 50%;height: auto;" />
        <p>P.S. Nezapoměňte si také zkontrolovat že vaše nová klávesová zkratka již není zabraná. A také doporučuji zakomentovat tento řádek aby se vám zobrazila správně vaše nová konfigurace :</p>
        <div class="code-box">
          <pre id="code-content">
          # bindsym $mod+l exec --no-startup-id ~/.config/i3/scripts/blur-lock
          </pre>
        </div>
            <p><a href="https://lukaskanka.cz/" target="_blank">Kankys</a>
                21.11.2024</p>
            </p>
        </section>
    </main>
    <?php require "assets/returnbutton.php" ?>
    <?php require "assets/footer.php" ?>
    <script src="assets/script.js"></script>
</body>

</html>