<!DOCTYPE html>
<html lang="cs">
<head>
    <meta charset="UTF-8"/>
    <meta
            content="EndeavourOS svobodný operační systém...."
            name="description"
    />
    <meta content="EndeavourOS, Bluetooth" name="keywords"/>
    <meta content="Kankys" name="author"/>

    <meta content="width=device-width, initial-scale=1.0" name="viewport"/>
    <link href="assets/style.css" rel="stylesheet"/>
    <link href="/img/icons.png" rel="shortcut icon"/>
    <script
            crossorigin="anonymous"
            src="https://kit.fontawesome.com/0a43c6cd1f.js"
    ></script>
    <!--icons dark, go to up-->
    <link
            href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css"
            rel="stylesheet"
    />

    <!--ubuntu fonts-->
    <style>
        @import url("https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap");
    </style>

    <title>EndeavourOS - Jak v EndeavourOS zprovoznit Bluetooth</title>
</head>
<body>
<?php require "assets/header.php"; ?>
<main>
    <section class="welcome">
        <h1>Jak v EndeavourOS zprovoznit Bluetooth?</h1>
        <p>
            Tento návod by měl být funkční na Arch Linux a distribucí z něj
            vycházejících.
        </p>
        <h2>Krok 1: Nainstalujte Bluez a Blueman</h2>
        <hr/>
        <p>Prvním krokem je instalace několika balíčků.</p>
        <p>Nainstalujeme si:</p>
        <p>
            <a
                    href="https://www.archlinux.org/packages/extra/x86_64/bluez/"
                    style="color: yellowgreen"
                    target="_blank"
            >Bluez</a
            >
        </p>
        <p>
            <a
                    href="https://www.archlinux.org/packages/extra/x86_64/bluez-utils/"
                    style="color: yellowgreen"
                    target="_blank"
            >Bluez-utils</a
            >
        </p>
        <p>
            <a
                    href="https://www.archlinux.org/packages/community/x86_64/blueman/"
                    style="color: yellowgreen"
                    target="_blank"
            >Blueman</a
            >
        </p>
        <div class="code-box">
          <pre id="code-content">
            <!-- Vaš kód sem -->
            sudo pacman -S bluez <br/>
            sudo pacman -S bluez-utils<br/>
            sudo pacman -S blueman

          </pre>
        </div>

        <p>
            Ty by se měly nainstalovat bez problémů. Zde uvidíte úhlednou ikonu:
        </p>
        <img alt="" src="img/Pasted-image-20240226010730.png" style="width: 50%;height: auto;"/>
        <p>Dále se ujistěte, že je načten modul btusb Kernel:</p>
        <div class="code-box">
          <pre id="code-content">
            lsmod | grep btusb
          </pre>
            <button id="copy-button">Kopírovat</button>
        </div>
        <p></p>
        <img alt="" src="img/Pasted-image-20240226010843-300x69.png" style="width: 50%;height: auto;"/>
        <p>Zde je trik, který mu pomůže najít adaptéry plug one:</p>
        <div class="code-box">
          <pre id="code-content">
            sudo vim /etc/bluetooth/main.conf
          </pre>
        </div>

        <p>Automaticky povolí Bluetooth:</p>
        <img alt="" src="img/Pasted-image-20240226011309-300x39.png" style="width: 50%;height: auto;"/>
        <p></p>
        <div class="code-box">
          <pre id="code-content">
            AutoEnable"true
          </pre>
        </div>

        <p>Uložte soubor.</p>
        <h2>2. Aktivujte Službu</h2>
        <hr/>
        <p>Zkusme spustit službu Bluetooth:</p>
        <div class="code-box">
          <pre id="code-content">
            sudo systemctl start bluetooth.service
          </pre>
        </div>

        <p>Automatické spuštění Bluetooth po startu povolíme tímto příkazem:</p>
        <div class="code-box">
          <pre id="code-content">
            sudo systemctl enable bluetooth.service
          </pre>
        </div>
        <p>
            Nyní bychom měli mít vše v provozu. Pomocí Blueman můžete spravovat
            Bluetooth zařízení, kliknutím pravým tlačítkem myši na ikonu
            Bluetooth.
        </p>
        <p>Nyní byste měli být připraveni na připojení a párování.</p>
        <h2>3. Párování</h2>
        <hr/>
        <p>Blueman dělá párování snadné.</p>
        <img alt="" src="img/Pasted-image-20240226012454-300x188.png"style="width: 50%;height: auto;"/>
        <p>1. Vyberete zařízení.</p>
        <p>2. Zahájit párování</p>
        <p>A máte hotovo!</p>
        <code
        ><a href="https://lukaskanka.cz/" target="_blank">Kankys</a>
            17.4.2024</code
    </section>
</main>
<?php require "assets/returnbutton.php"; ?>
<?php require "assets/footer.php"; ?>
<script src="assets/script.js"></script>
</body>
</html>
